> For the complete documentation index, see [llms.txt](https://docs.cybus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cybus.io/connectors/enterprise-connectors/influxdb/influxdbendpoint.md).

# InfluxDB Endpoint Properties

## `query` (string)

The Flux query used for reading or subscribing to `measurement` data. This property is only applicable for read or subscribe endpoints.

Example: `"from(bucket:\"my-bucket\") |> range(start: -1h) |> filter(fn: (r) => r._measurement == \"temperature\")"`

## `interval` (integer)

Time interval in milliseconds between consecutive queries. Defaults to 1000 milliseconds if not specified.

## `cronExpression` (string)

Cron expression that defines the schedule for polling the endpoint. For syntax and examples, see the [node-cron documentation](https://github.com/node-cron/node-cron).

Examples: `"1,2,4,5 * * * *"`, `"1-5 * * * *"`, `"*/2 * * * *"`, `"* * * January,September Sunday"`

## `measurement` (string)

Name of the measurement in InfluxDB where data points will be stored when writing. Can be overridden by specifying the measurement in the message data, but must be set in at least one location.

Example: `"exhaust_temperature"`

## `measurementPrefix` (string)

Optional prefix to prepend to the `measurement` name. Useful for namespacing or grouping related measurements.

Example: `"engine_"`

## `fields` (object)

An optional object made up of key-value pairs. These constant fields are merged with the fields from the message.

## `tags` (object)

An optional object made up of key-value pairs. These constant tags are merged with the tags from the message.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cybus.io/connectors/enterprise-connectors/influxdb/influxdbendpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
